| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__DestCodeData Struct Reference
Destination Code and Code Index

Destination Code Data. More...

`#include <osv-if-doc.h>`

## Public Attributes
char * | NPA
| Numbering Plan Area (NPA) code for this destination. More...
enum unsp__TrafficTypeSelection * | TrafficTypeSelection
| Traffic Type Selection. More...
xsd__string | TrafficTypeName
| Traffic Type Name. More...
enum unsp__DestCodeDestType * | DestType
| Destination Type. More...
char * | DestName
| Destination Name. More...
char * | HomeDNOfficeCode
| The office code of the Home DN for this destination. More...
struct unsp__DestCodeFlags * | Flags
| A structure containing the following list of Boolean attributes to provide further data about the destination code. More...
char * | NewCode
| A DN to be used in support of the "new code" translation and routing capability. More...
char * | CountryCode
| A country code for the destination. More...

## Detailed Description

Destination Code Data.

## Member Data Documentation

## ◆ CountryCode

char* unsp__DestCodeData::CountryCode

A country code for the destination.

required: false
default value[range]: NA [1..4]

## ◆ DestName

char* unsp__DestCodeData::DestName

Destination Name.

required: false

See also
  unsp__DestName

## ◆ DestType

enum unsp__DestCodeDestType* unsp__DestCodeData::DestType

Destination Type.

required: false
default value[range]: DT_None

## ◆ Flags

struct unsp__DestCodeFlags* unsp__DestCodeData::Flags

A structure containing the following list of Boolean attributes to provide further data about the destination code.

Applicable only for system default numbering plan (E164NANP).
required: false

## ◆ HomeDNOfficeCode

char* unsp__DestCodeData::HomeDNOfficeCode

The office code of the Home DN for this destination.

required: false
default value[range]: [1..14]

## ◆ NewCode

char* unsp__DestCodeData::NewCode

A DN to be used in support of the "new code" translation and routing capability.

Calls to this destination are retranslated using the number in this field based on the calling party's rate area. Only allowed (and required) if DestType is NewCode. May contain the characters 0-9, A-E, * and #
required: false
default value[range]: NA [1..30]

## ◆ NPA

char* unsp__DestCodeData::NPA

Numbering Plan Area (NPA) code for this destination.

required: false
default value[range]: NA [3..3]

## ◆ TrafficTypeName

xsd__string unsp__DestCodeData::TrafficTypeName

Traffic Type Name.

required: false
default value[range]: [1..32]

## ◆ TrafficTypeSelection

enum unsp__TrafficTypeSelection* unsp__DestCodeData::TrafficTypeSelection

Traffic Type Selection.

required: false
default value[range]: BasedOnTrafficType

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h